Skip to content

Trigger manual fetch detail inboxes

POST
/api/v1/social_messages/fetch_inboxes

Queue a task to scan the inbox immediately.

FetchInboxRequest
object
agent_id
required
Agent Id

Agent ID

string

Successful Response

SocialOperationResponse
object
status
required
Status
string
Allowed values: success fail
message
required
Message
string

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Agent or Social Account not found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Social Account not found",
"error_code": "social_account_not_found"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string